Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.utils
Class MurmurHash

    java.lang.Object
      org.apache.cassandra.utils.MurmurHash

    public class MurmurHash

extends java.lang.Object

This is a very fast, non-cryptographic hash suitable for general hash-based lookup. See http://murmurhash.googlepages.com/ for more details.

The C version of MurmurHash 2.0 found at that site was ported to Java by Andrzej Bialecki (ab at getopt org).

Constructor Summary
`MurmurHash()`

Method Summary
`static int` | `hash32(java.nio.ByteBuffer data, int offset, int length, int seed)`
`static long` | `hash64(java.nio.ByteBuffer key, int offset, int length, long seed)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MurmurHash

    public MurmurHash()

Method Detail

### hash32

    public static int hash32(java.nio.ByteBuffer data,
                             int offset,
                             int length,
                             int seed)

### hash64

    public static long hash64(java.nio.ByteBuffer key,
                              int offset,
                              int length,
                              long seed)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation